/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                TERCER GRADO DE PREESCOLAR (Excale 00)
/*
/*                         **** DOCENTES CONTEXTO ****
/*
/*                     Ciclo escolar evaluado: 2006 - 2007
/*_____________________________________________________________________________
/*
/*
/*       PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE DOCENTES DE CONTEXTO
/*                                EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte el archivo Excale00_2007_Doc_Cuest.txt el cual est en
/*  formato ASCII a una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale00_2007_Doc_Cuest.txt
/*         as como el archivo Excale00_2007_Doc_Cuest.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale00_2007_Doc_Cuest.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale00_2007_Doc_Cuest.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 5 DE AGOSTO DE 2008
/*
/*  ****************************************************************************/

/*****************************************************************************
/*    ACTUALIZACIN AL 21 DE SEPTIEMBRE DEL 2010
/*
/*   - SE CORRIGIERON LAS ETIQUETAS DE LOS VALORES DE LAS VARIABLES:
/*       pe055, pe056, pe057, pe058, pe059 y pe060
/*
/*******************************************************************************/


LIBNAME  INEE  "C:\***\";
FILENAME doc   "C:\***\Excale00_2007_doc_cuest.TXT";

PROC FORMAT;
     VALUE id_entF     1         ="Aguascalientes"
                       2         ="Baja California"
                       3         ="Baja California Sur"
                       4         ="Campeche"
                       5         ="Coahuila"
                       6         ="Colima"
                       7         ="Chiapas"
                       8         ="Chihuahua"
                       9         ="Distrito Federal"
                       10        ="Durango"
                       11        ="Guanajuato"
                       12        ="Guerrero"
                       13        ="Hidalgo"
                       14        ="Jalisco"
                       15        ="Mxico"
                       16        ="Michoacn"
                       17        ="Morelos"
                       18        ="Nayarit"
                       19        ="Nuevo Len"
                       20        ="Oaxaca"
                       21        ="Puebla"
                       22        ="Quertaro"
                       23        ="Quintana Roo"
                       24        ="San Luis Potos"
                       25        ="Sinaloa"
                       26        ="Sonora"
                       27        ="Tabasco"
                       28        ="Tamaulipas"
                       29        ="Tlaxcala"
                       30        ="Veracruz"
                       31        ="Yucatn"
                       32        ="Zacatecas";
     VALUE id_modF     1         ="Urbano Pblico"
                       2         ="Rural Pblico"
                       3         ="Educacin Indgena"
                       4         ="Cursos Comunitarios"
                       5         ="Privados";
     VALUE $modF       "UP"      ="Urbano Pblico"
                       "RP"      ="Rural Pblico"
                       "EI"      ="Educacin Indgena"
                       "CC"      ="Cursos Comunitarios"
                       "UPV"     ="Privados";
     VALUE pe001F
                       1         ="Hombre"
                       2         ="Mujer"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe002F
                       1         ="25  menos"
                       2         ="Entre 26 y 30"
                       3         ="Entre 31 y 40"
                       4         ="Entre 41 y 50"
                       5         ="51  ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe003F
                       1         ="S"
                       0         ="No"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe004F
                       1         ="Asistente educativo"
                       2         ="Bachillerato o puericultista"
                       3         ="Maestra de Jardn de Nios"
                       4         ="Licenciatura en Educacin Preescolar"
                       5         ="Otra licenciatura afn a la educacin"
                       6         ="Normal Superior"
                       7         ="Posgrado"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe5_8F
                       0         ="Ninguno"
                       1         ="1  2"
                       2         ="3  ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe009F
                       1         ="3  menos"
                       2         ="Entre 4 y 10"
                       3         ="Entre 11 y 15"
                       4         ="Ms de 15"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe010F
                       1         ="1 ao"
                       2         ="Entre 2 y 5"
                       3         ="Entre 6 y 10"
                       4         ="Ms de 10"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe11_12F
                       1         ="S"
                       0         ="No"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe013F
                       4         ="Menos de 15"
                       3         ="Entre 16 y 25"
                       2         ="Entre 26 y 35"
                       1         ="Ms de 35"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe014F
                       4         ="Ninguno"
                       3         ="1  2"
                       2         ="3  4"
                       1         ="5  ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe015F
                       1         ="3 horas"
                       2         ="4  5"
                       3         ="6  7"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe016F
                       0         ="No"
                       1         ="Solamente parte de la jornada o algunos das"
                       2         ="S, todo el tiempo"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe17_18F
                       1         ="A veces"
                       2         ="Frecuentemente"
                       3         ="Siempre"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe019F
                       1         ="Menos de la mitad"
                       2         ="La mitad"
                       3         ="Ms de la mitad"
                       4         ="La mayora"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe020F
                       3         ="Nunca"
                       2         ="Algunas veces"
                       1         ="Frecuentemente"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe021F
                       4         ="Menos de la mitad"
                       3         ="La mitad"
                       2         ="Ms de la mitad"
                       1         ="Casi todos"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe022F
                       1         ="Inadecuado"
                       2         ="Poco adecuado"
                       3         ="Adecuado"
                       4         ="Muy adecuado"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe023F
                       3         ="A veces"
                       2         ="Frecuentemente"
                       1         ="Siempre"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe024F
                       1         ="Inadecuado"
                       2         ="Poco adecuado"
                       3         ="Adecuado"
                       4         ="Muy adecuado"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe025F
                       1         ="S"
                       0         ="No"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe026F
                       1         ="Algunas veces"
                       2         ="Frecuentemente"
                       3         ="Siempre"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe027F
                       1         ="S"
                       0         ="No"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe028F
                       1         ="Juego fsico (lanzar pelotas, carreras u otros)"
                       2         ="Juego intelectual (juegos de mesa)"
                       3         ="Juego simblico (donde los nios escenifican)"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe029F
                       1         ="A veces"
                       2         ="Frecuentemente"
                       3         ="Siempre"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe030F
                       1         ="Individual"
                       2         ="Parejas"
                       3         ="Pequeos grupos"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe031F
                       1         ="Planeacin"
                       2         ="Evaluacin"
                       3         ="Preparacin de materiales"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe032F
                       1         ="Las actividades que realiza con sus nios"
                       2         ="Los resultados de aprendizaje"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe33_37F
                       1         ="A veces"
                       2         ="Frecuentemente"
                       3         ="Siempre"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe038F
                       1         ="S"
                       0         ="No"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe039F
                       0         ="No cuento con l"
                       1         ="Ninguna"
                       2         ="1  2"
                       3         ="3  4"
                       4         ="Diario"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe040F
                       1         ="2  menos"
                       2         ="3  4"
                       3         ="5  ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe41_42F
                       1         ="Una vez cada dos meses"
                       2         ="Una vez al mes"
                       3         ="Una vez cada quincena"
                       4         ="Una vez a la semana"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe043F
                       1         ="Malas o regulares"
                       2         ="Buenas"
                       3         ="Excelentes"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe044F
                       1         ="Mala o regular"
                       2         ="Buena"
                       3         ="Excelente"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe45_54F
                       1         ="1 vez o menos"
                       2         ="2 veces"
                       3         ="3 veces o ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe55_56F
                       0         ="Nunca"
                       1         ="1 vez"
                       2         ="2 veces"
                       3         ="3 veces o ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe057F
                       1         ="1 vez"
                       2         ="2 veces"
                       3         ="3 veces o ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE pe58_60F
                       0         ="Nunca"
                       1         ="1 vez"
                       2         ="2 veces"
                       3         ="3 veces o ms"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
RUN;



DATA INEE.Excale00_2007_doc_cuest;
   LENGTH
       nacional           3
       escuela            4
       id_ent             3
       nom_ent            $19
       id_mod             3
       mod                $4
       entest             $6
       id_instr           $15
       w_doc              8
       docente            5
       pe001              3
       pe002              3
       pe003              3
       pe004              3
       pe005              3
       pe006              3
       pe007              3
       pe008              3
       pe009              3
       pe010              3
       pe011              3
       pe012              3
       pe013              3
       pe014              3
       pe015              3
       pe016              3
       pe017              3
       pe018              3
       pe019              3
       pe020              3
       pe021              3
       pe022              3
       pe023              3
       pe024              3
       pe025              3
       pe026              3
       pe027              3
       pe028              3
       pe029              3
       pe030              3
       pe031              3
       pe032              3
       pe033              3
       pe034              3
       pe035              3
       pe036              3
       pe037              3
       pe038              3
       pe039              3
       pe040              3
       pe041              3
       pe042              3
       pe043              3
       pe044              3
       pe045              3
       pe046              3
       pe047              3
       pe048              3
       pe049              3
       pe050              3
       pe051              3
       pe052              3
       pe053              3
       pe054              3
       pe055              3
       pe056              3
       pe057              3
       pe058              3
       pe059              3
       pe060              3
   ;

INFILE doc MISSOVER LINESIZE = 128;
   INPUT
        nacional              1 - 1
        escuela               2 - 5
        id_ent                6 - 7
        nom_ent               8 - 26
        id_mod               27 - 27
        mod                  28 - 31
        entest               32 - 37
        id_instr             38 - 52
        w_doc                53 - 63
        docente              64 - 68
        pe001                69 - 69
        pe002                70 - 70
        pe003                71 - 71
        pe004                72 - 72
        pe005                73 - 73
        pe006                74 - 74
        pe007                75 - 75
        pe008                76 - 76
        pe009                77 - 77
        pe010                78 - 78
        pe011                79 - 79
        pe012                80 - 80
        pe013                81 - 81
        pe014                82 - 82
        pe015                83 - 83
        pe016                84 - 84
        pe017                85 - 85
        pe018                86 - 86
        pe019                87 - 87
        pe020                88 - 88
        pe021                89 - 89
        pe022                90 - 90
        pe023                91 - 91
        pe024                92 - 92
        pe025                93 - 93
        pe026                94 - 94
        pe027                95 - 95
        pe028                96 - 96
        pe029                97 - 97
        pe030                98 - 98
        pe031                99 - 99
        pe032               100 - 100
        pe033               101 - 101
        pe034               102 - 102
        pe035               103 - 103
        pe036               104 - 104
        pe037               105 - 105
        pe038               106 - 106
        pe039               107 - 107
        pe040               108 - 108
        pe041               109 - 109
        pe042               110 - 110
        pe043               111 - 111
        pe044               112 - 112
        pe045               113 - 113
        pe046               114 - 114
        pe047               115 - 115
        pe048               116 - 116
        pe049               117 - 117
        pe050               118 - 118
        pe051               119 - 119
        pe052               120 - 120
        pe053               121 - 121
        pe054               122 - 122
        pe055               123 - 123
        pe056               124 - 124
        pe057               125 - 125
        pe058               126 - 126
        pe059               127 - 127
        pe060               128 - 128
   ;

   LABEL
       nacional    = "Variable auxiliar para obtener promedios nacionales"
       escuela     = "Identificador de la escuela"
       id_ent      = "Entidad federativa (identificador numrico)"
       nom_ent     = "Entidad federativa"
       id_mod      = "Estrato escolar o Modalidad educativa (identificador numrico)"
       mod         = "Estrato escolar o Modalidad educativa"
       entest      = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad-Densidad de poblacin)"
       id_instr    = "Identificador del cuestionario"
       w_doc       = "Peso muestral o ponderador del docente"
       docente     = "Identificador del docente"
       pe001       = "Es usted hombre o mujer?"
       pe002       = "Cuntos aos cumplidos tiene?"
       pe003       = "Adems de su trabajo como docente, tiene otro trabajo remunerado fuera del sector educativo?"
       pe004       = "Cul es su nivel mximo de estudios?"
       pe005       = "Cursos que ha tomado en los ltimos tres aos. Aplicacin del Programa de Educacin Preescolar 2004"
       pe006       = "Cursos que ha tomado en los ltimos tres aos. Cmo son los nios y cmo aprenden"
       pe007       = "Cursos que ha tomado en los ltimos tres aos. Didctica o metodologa de la enseanza en la educacin preescolar"
       pe008       = "Cursos que ha tomado en los ltimos tres aos. Evaluacin y planeacin de la educacin preescolar"
       pe009       = "Contando este ciclo escolar, cuntos aos tiene trabajando como profesor(a) de preescolar?"
       pe010       = "Contando este ciclo escolar, cuntos aos ha impartido el tercer grado de preescolar?"
       pe011       = "Adems de ser docente, trabaja usted como director(a) en esta escuela y turno?"
       pe012       = "Est usted incorporado al programa de estmulos de Carrera Magisterial?"
       pe013       = "Cuntos alumnos hay en su grupo?"
       pe014       = "Normalmente, cuntos de sus alumnos faltan a la escuela cada da?"
       pe015       = "Cuntas horas al da pasan sus alumnos en la escuela?"
       pe016       = "Cuenta con asistente educativo que lo apoye en su labor docente?"
       pe017       = "Sus alumnos tienen demostraciones de afecto hacia usted?"
       pe018       = "Sus alumnos tienen demostraciones de afecto hacia sus compaeros?"
       pe019       = "Qu proporcin de sus alumnos respetan las reglas de convivencia y trabajo?"
       pe020       = "Se presentan conflictos entre sus alumnos dentro del saln, como golpes, peleas, insultos?"
       pe021       = "Qu proporcin de sus alumnos no centra su atencin en las actividades que se realizan en el aula?"
       pe022       = "Considerando el nmero de alumnos de su grupo, qu tan adecuado es el tamao del aula donde imparte clases?"
       pe023       = "El ruido del exterior de su aula dificulta el desarrollo de su trabajo docente?"
       pe024       = "Considerando las necesidades de la enseanza preescolar, qu tan adecuado es el mobiliario de su aula?"
       pe025       = "Considerando el tamao de su grupo, son suficientes los materiales de los que dispone para la enseanza?"
       pe026       = "Con qu frecuencia sus alumnos le demandan atencin individual?"
       pe027       = "Considera usted que la integracin de alumnos con necesidades educativas especiales (con o sin discapacidad) trastorna la dinmica de trabajo del grupo?"
       pe028       = "Qu tipo de juego considera que es ms importante promover entre sus nios?"
       pe029       = "Con qu frecuencia colaboran sus alumnos entre s durante las actividades de aprendizaje?"
       pe030       = "Qu forma de organizar el grupo utiliza ms frecuentemente?"
       pe031       = "Cul de las siguientes actividades considera ms importante para organizar su prctica docente?"
       pe032       = "Qu evala principalmente?"
       pe033       = "Frecuencia con que utiliza los recursos didcticos para trabajar con sus nios. Biblioteca"
       pe034       = "Frecuencia con que utiliza los recursos didcticos para trabajar con sus nios. Material grfico-plstico"
       pe035       = "Frecuencia con que utiliza los recursos didcticos para trabajar con sus nios. Materiales concretos (bloques o fichas)"
       pe036       = "Frecuencia con que utiliza los recursos didcticos para trabajar con sus nios. Libros de actividades distintos a los de SEP"
       pe037       = "Frecuencia con que utiliza los recursos didcticos para trabajar con sus nios. Programas de cmputo"
       pe038       = "Tiene libros para leer y consultar con sus nios adems de los que le proporciona la SEP o la direccin de la escuela?"
       pe039       = "Cuntas veces a la semana utiliza el cuaderno de trabajo de la SEP?"
       pe040       = "En este ciclo escolar, cuntas reuniones con padres de familia ha organizado para informarles sobre lo que van a aprender sus hijos en el jardn de nios?"
       pe041       = "Con qu frecuencia solicita a los padres de familia su apoyo para promover el desarrollo de competencias de sus hijos en casa?"
       pe042       = "Con qu frecuencia informa a los padres sobre los avances y dificultades de sus hijos?"
       pe043       = "En este ciclo escolar, cmo han sido las relaciones humanas en su escuela?"
       pe044       = "Cmo ha sido la disposicin del personal en este ciclo escolar para colaborar en la solucin de problemas de la escuela? (Atencin a otros grupos, dar un poco de tiempo fuera de horario, etctera)"
       pe045       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Comunica estados de nimo, sentimientos, emociones y vivencias a travs del lenguaje oral"
       pe046       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Obtiene y comparte informacin a travs de diversas formas de expresin oral"
       pe047       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Escucha y cuenta relatos literarios que forman parte de la tradicin oral"
       pe048       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Utiliza el lenguaje para regular su conducta en distintos tipos de interaccin con los dems"
       pe049       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Conoce diversos portadores de texto e identifica para qu sirven"
       pe050       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Interpreta o infiere el contenido de textos a partir del conocimiento que tiene de los diversos portadores y del sistema de escritura"
       pe051       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Identifica algunas caractersticas del sistema de escritura"
       pe052       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Conoce algunas caractersticas y funciones propias de los textos literarios"
       pe053       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Utiliza los nmeros en situaciones variadas que implican poner en juego los principios del conteo"
       pe054       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Plantea y resuelve problemas en situaciones que le son familiares y que implican agregar, reunir, quitar, igualar, comparar y repartir objetos"
       pe055       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Identifica regularidades en una secuencia a partir de criterios de repeticin y crecimiento"
       pe056       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Rene informacin sobre criterios acordados, representa grficamente dicha informacin y la interpreta"
       pe057       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Reconoce y nombra caractersticas de objetos, figuras y cuerpos geomtricos"
       pe058       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Construye sistemas de referencia en relacin con la ubicacin espacial"
       pe059       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Utiliza unidades no convencionales para resolver problemas que implican medir magnitudes de longitud, capacidad, peso y tiempo"
       pe060       = "En este bimestre, frecuencia con que trabaj con sus alumnos la competencia: Identifica para qu sirven algunos instrumentos de medicin"
   ;

   FORMAT
        nacional           1.
        escuela            4.
        id_ent             id_entF.
        nom_ent            $char19.
        id_mod             id_modF.
        mod                $modF.
        entest             $char6.
        id_instr           $char15.
        docente            5.
        pe001              pe001F.
        pe002              pe002F.
        pe003              pe003F.
        pe004              pe004F.
        pe005              pe5_8F.
        pe006              pe5_8F.
        pe007              pe5_8F.
        pe008              pe5_8F.
        pe009              pe009F.
        pe010              pe010F.
        pe011              pe11_12F.
        pe012              pe11_12F.
        pe013              pe013F.
        pe014              pe014F.
        pe015              pe015F.
        pe016              pe016F.
        pe017              pe17_18F.
        pe018              pe17_18F.
        pe019              pe019F.
        pe020              pe020F.
        pe021              pe021F.
        pe022              pe022F.
        pe023              pe023F.
        pe024              pe024F.
        pe025              pe025F.
        pe026              pe026F.
        pe027              pe027F.
        pe028              pe028F.
        pe029              pe029F.
        pe030              pe030F.
        pe031              pe031F.
        pe032              pe032F.
        pe033              pe33_37F.
        pe034              pe33_37F.
        pe035              pe33_37F.
        pe036              pe33_37F.
        pe037              pe33_37F.
        pe038              pe038F.
        pe039              pe039F.
        pe040              pe040F.
        pe041              pe41_42F.
        pe042              pe41_42F.
        pe043              pe043F.
        pe044              pe044F.
        pe045              pe45_54F.
        pe046              pe45_54F.
        pe047              pe45_54F.
        pe048              pe45_54F.
        pe049              pe45_54F.
        pe050              pe45_54F.
        pe051              pe45_54F.
        pe052              pe45_54F.
        pe053              pe45_54F.
        pe054              pe45_54F.
        pe055              pe55_56F.
        pe056              pe55_56F.
        pe057              pe057F.
        pe058              pe58_60F.
        pe059              pe58_60F.
        pe060              pe58_60F.
   ;


/**************************************************************************
/*  Definicin de valores perdidos
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   ARRAY perdidos1(60)
                   pe001 pe002 pe003 pe004 pe005 pe006 pe007 pe008 pe009 pe010
                   pe011 pe012 pe013 pe014 pe015 pe016 pe017 pe018 pe019 pe020
                   pe021 pe022 pe023 pe024 pe025 pe026 pe027 pe028 pe029 pe030
                   pe031 pe032 pe033 pe034 pe035 pe036 pe037 pe038 pe039 pe040
                   pe041 pe042 pe043 pe044 pe045 pe046 pe047 pe048 pe049 pe050
                   pe051 pe052 pe053 pe054 pe055 pe056 pe057 pe058 pe059 pe060;
   DO  i=1 TO 60;
          IF perdidos1{i} = 8   THEN  perdidos1{i} = .M;
          IF perdidos1{i} = 9   THEN  perdidos1{i} = .S;
   END;

   drop i;
RUN;



